Package org.apache.tomcat.util.buf

# Enum EncodedSolidusHandling

java.lang.Object
java.lang.Enum<EncodedSolidusHandling>
org.apache.tomcat.util.buf.EncodedSolidusHandling

All Implemented Interfaces:
  `Serializable`, `Comparable<EncodedSolidusHandling>`, `java.lang.constant.Constable`

public enum EncodedSolidusHandling extends Enum<EncodedSolidusHandling>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECODE`
  `PASS_THROUGH`
  `REJECT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EncodedSolidusHandling`
  `fromString(String from)`
  `String`
  `getValue()`
  `static EncodedSolidusHandling`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EncodedSolidusHandling[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DECODE

    public static final EncodedSolidusHandling DECODE

  - ### REJECT

    public static final EncodedSolidusHandling REJECT

  - ### PASS_THROUGH

    public static final EncodedSolidusHandling PASS_THROUGH

- ## Method Details

  - ### values

    public static EncodedSolidusHandling[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EncodedSolidusHandling valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()

  - ### fromString

    public static EncodedSolidusHandling fromString(String from)